package com.tcl.remotelog.net.service

import com.tcl.remotelog.model.AddLogReq
import com.tcl.remotelog.model.AddLogcatReq
import com.tcl.remotelog.model.DeviceInfoReq
import com.tcl.remotelog.model.DeviceInfoResp
import com.tcl.remotelog.model.DeviceStatusReq
import com.tcl.remotelog.model.DeviceStatusResp
import com.tcl.remotelog.model.Resp
import com.tcl.remotelog.model.TokenResp
import io.reactivex.Observable
import retrofit2.http.*

/**
 * Created by cretin on 2018/3/29.
 * 与用户相关的操作
 */
interface LogRequestService {

    /**
     * 添加日志
     */
    @POST("remote_log/add")
    fun addLog(@Body data: AddLogReq): Observable<Any>

    /**
     * 获取配置信息
     */
    @POST("log_remote/device/info")
    fun getDeviceInfo(@Body data: DeviceInfoReq): Observable<DeviceInfoResp>

    /**
     * 更新设备状态信息
     */
    @POST("log_remote/device/status")
    fun deviceStatus(@Body data: DeviceStatusReq): Observable<DeviceStatusResp>

    /**
     * 添加logcat日志
     */
    @POST("log_remote/add_logcat")
    fun addLogcat(@Body data: AddLogcatReq): Observable<Any>

    /**
     * 获取qiniutoken
     */
    @GET("helper/qiniu/token")
    fun getQiniuToken(@Query("filename") filename: String): Observable<Resp<TokenResp>>

}