package com.tcl.remotelog.utils;

public class ConvertUtils {

    /**
     * 大小转换
     * @param bytes
     * @return
     */
    public static String convertBytesToSize(long bytes) {
        double size;
        String unit = "";

        if (bytes < 1024) {
            size = bytes;
            unit = "B";
        } else if (bytes < 1024 * 1024) {
            size = bytes / 1024.0;
            unit = "KB";
        } else if (bytes < 1024 * 1024 * 1024) {
            size = bytes / (1024.0 * 1024);
            unit = "MB";
        } else {
            size = bytes / (1024.0 * 1024 * 1024);
            unit = "GB";
        }

        // 格式化输出，保留两位小数
        return String.format("%.2f %s", size, unit);
    }

    public enum SizeUnit {
        KB, MB, GB
    }
}
