package com.tcl.remotelog.utils;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.zip.ZipEntry;
import java.util.zip.ZipOutputStream;

public class ZipUtils {

    public static void zipFiles(File[] sourceFiles, File zipFile) throws IOException {
        try (ZipOutputStream zipOutputStream = new ZipOutputStream(new FileOutputStream(zipFile))) {
            for (File sourceFile : sourceFiles) {
                addToZip(sourceFile, zipOutputStream, "");
            }
        }
    }

    private static void addToZip(File file, ZipOutputStream zipOutputStream, String parentDir) throws IOException {
        FileInputStream fileInputStream = new FileInputStream(file);
        String entryName = parentDir + file.getName();
        ZipEntry zipEntry = new ZipEntry(entryName);
        zipOutputStream.putNextEntry(zipEntry);

        byte[] buffer = new byte[1024];
        int length;
        while ((length = fileInputStream.read(buffer)) > 0) {
            zipOutputStream.write(buffer, 0, length);
        }

        zipOutputStream.closeEntry();
        fileInputStream.close();

        if (file.isDirectory()) {
            for (File nestedFile : file.listFiles()) {
                addToZip(nestedFile, zipOutputStream, entryName + "/");
            }
        }
    }
}
